#include<iostream>
using namespace std;
int main()
{
	int a[100000];
	double b[100000],max=0;
	int n;
	cin>>n;
	for(int i=0;i<n;i++)
		{
			cin>>a[i];
			cin>>b[i];
		}	
	for(int i=0;i<n;i++)
	{
		double sum=0;
		for(int j=0;j<n;j++)
		{
			if(b[j]>=b[i])
			{
				sum+=b[i]/100*a[j];	
			}
		}
		if(sum>max)
		max=sum;
	}
	printf("%4.2f",max);
	return 0;
}